import { Config } from "../App"
import React from "react"
export interface HamburgerMenuProps extends React.ComponentPropsWithRef<"div"> {
  config: Config;
  setConfig: Function;
}

export function HamburgerMenu({ config, setConfig }: HamburgerMenuProps) {
  const languages = [
    {
      value: "es",
      label: "Español"
    },
    {
      value: "en",
      label: "English"
    }
  ]
  const regions = [
    {
      value: "spain",
      label: "España"
    },
    {
      value: "UK",
      label: "United Kingdom"
    }
  ]

  function handleLangChange(event) {
    setConfig(prev => {
      return {
        ...prev,
        language: event.target.value
      }
    })
  }
  function handleRegionChange(event) {
    setConfig(prev => {
      return {
        ...prev,
        region: event.target.value
      }
    })
  }
  return <div id="hamburger">
    <select onChange={handleLangChange}>
      {languages.map((language) => <option value={language.value} key={language.value}>{language.label}</option>)}
    </select>
    <select onChange={handleRegionChange}>
      {regions.map((region) => <option value={region.value} key={region.value}>{region.label}</option>)}
    </select>
  </div>
}
